Skip to main content
`Ctrl`+`K`

# PCMPIServerEnd

ends a server that runs on the rank != 0 MPI processes waiting to process requests for parallel KSP solves and management of parallel `KSP` objects.

## Synopsis

    PetscErrorCode PCMPIServerEnd(void)

Logically Collective on all MPI ranks except 0

## Note

This is normally ended automatically in `PetscFinalize()` when the option is provided

## See Also

Using PETSc’s MPI parallel linear solvers from a non-MPI program, `PCMPIServerBegin()`, `PCMPI`, `KSPCheckPCMPI()`

## Level

developer

## Location

src/ksp/pc/impls/mpi/pcmpi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages